Package ghidra.app.services

# Record Class StringValidityScore

java.lang.Object
java.lang.Record
ghidra.app.services.StringValidityScore

Record Components:
  `originalString` - string being scored
  `transformedString` - original string, after being tweaked
  `score` - string's validity score, larger values are more valid
  `threshold` - score that this string would need to exceed to be considered valid

public record StringValidityScore(String originalString, String transformedString, double score, double threshold) extends Record
Result of a `StringValidatorService`'s judgment about a string.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringValidityScore(String originalString, String transformedString, double score, double threshold)`
  Creates an instance of a `StringValidityScore` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isScoreAboveThreshold()`
  `static StringValidityScore`
  `makeDummyFor(String s)`
  `String`
  `originalString()`
  Returns the value of the `originalString` record component.
  `double`
  `score()`
  Returns the value of the `score` record component.
  `double`
  `threshold()`
  Returns the value of the `threshold` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `transformedString()`
  Returns the value of the `transformedString` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StringValidityScore

    public StringValidityScore(String originalString, String transformedString, double score, double threshold)
    Creates an instance of a `StringValidityScore` record class.
    Parameters:
      `originalString` - the value for the `originalString` record component
      `transformedString` - the value for the `transformedString` record component
      `score` - the value for the `score` record component
      `threshold` - the value for the `threshold` record component

- ## Method Details

  - ### makeDummyFor

    public static StringValidityScore makeDummyFor(String s)

  - ### isScoreAboveThreshold

    public boolean isScoreAboveThreshold()

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### originalString

    public String originalString()
    Returns the value of the `originalString` record component.
    Returns:
      the value of the `originalString` record component

  - ### transformedString

    public String transformedString()
    Returns the value of the `transformedString` record component.
    Returns:
      the value of the `transformedString` record component

  - ### score

    public double score()
    Returns the value of the `score` record component.
    Returns:
      the value of the `score` record component

  - ### threshold

    public double threshold()
    Returns the value of the `threshold` record component.
    Returns:
      the value of the `threshold` record component